## org.apache.fop.datatypes
Class IDNode

    java.lang.Object
      |
      +--org.apache.fop.datatypes.IDNode

public class IDNode
extends java.lang.Object

Constructor Summary
`protected` `IDNode(java.lang.String idValue)` Constructor for IDNode

Method Summary
`protected void` `createInternalLinkGoTo(int objectNumber)` creates a new GoTo object for an internal link
`protected java.lang.String` `getIDValue()` Returns the id value of this node
`protected PDFGoTo` `getInternalLinkGoTo()` Returns the PDFGoTo object associated with the internal link
`protected java.lang.String` `getInternalLinkGoToReference()` Returns the reference to the Internal Link's GoTo object
`java.lang.String` `getPageNumber()` Returns the page number of this node
`protected boolean` `isThereInternalLinkGoTo()` Determines whether there is an internal link GoTo for this node
`protected void` `setInternalLinkGoToPageReference(java.lang.String pageReference)` sets the page reference for the internal link's GoTo.
`protected void` `setPageNumber(int number)` Sets the page number for this node
`protected void` `setPosition(int x, int y)` Sets the position of this node

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IDNode

    protected IDNode(java.lang.String idValue)

  Constructor for IDNode
  Parameters:
    `idValue` - The value of the id for this node

Method Detail

### setPageNumber

    protected void setPageNumber(int number)

  Sets the page number for this node
  Parameters:
    `number` - page number of node

### getPageNumber

    public java.lang.String getPageNumber()

  Returns the page number of this node
  Returns:
    page number of this node

### createInternalLinkGoTo

    protected void createInternalLinkGoTo(int objectNumber)

  creates a new GoTo object for an internal link
  Parameters:
    `objectNumber` - the number to be assigned to the new object

### setInternalLinkGoToPageReference

    protected void setInternalLinkGoToPageReference(java.lang.String pageReference)

  sets the page reference for the internal link's GoTo. The GoTo will jump to this page reference.
  Parameters:
    `pageReference` - the page reference to which the internal link GoTo should jump ex. 23 0 R

### getInternalLinkGoToReference

    protected java.lang.String getInternalLinkGoToReference()

  Returns the reference to the Internal Link's GoTo object
  Returns:
    GoTo object reference

### getIDValue

    protected java.lang.String getIDValue()

  Returns the id value of this node
  Returns:
    this node's id value

### getInternalLinkGoTo

    protected PDFGoTo getInternalLinkGoTo()

  Returns the PDFGoTo object associated with the internal link
  Returns:
    PDFGoTo object

### isThereInternalLinkGoTo

    protected boolean isThereInternalLinkGoTo()

  Determines whether there is an internal link GoTo for this node
  Returns:
    true if internal link GoTo for this node is set, false otherwise

### setPosition

    protected void setPosition(int x,
                               int y)

  Sets the position of this node
  Parameters:
    `x` - the x position
    `y` - the y position

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.